### Enumeration

# RB RhythmDBEntryAvailability

#### Declaration

    enum RB.RhythmDBEntryAvailability

#### Description [src]

Various events that can result in changes to the entry’s availability.

#### Members

`RHYTHMDB_ENTRY_AVAIL_CHECKED`

  File was checked and found present.

  - Value: `0`
  - Available since: 3.0
`RHYTHMDB_ENTRY_AVAIL_MOUNTED`

  Filesystem holding the file was mounted.

  - Value: `1`
  - Available since: 3.0
`RHYTHMDB_ENTRY_AVAIL_UNMOUNTED`

  Filesystem holding the file was unmounted.

  - Value: `2`
  - Available since: 3.0
`RHYTHMDB_ENTRY_AVAIL_NOT_FOUND`

  File was checked or played and could not be found.

  - Value: `3`
  - Available since: 3.0